Skip to main content
`Ctrl`+`K`

# PetscSubcommGetChild

Gets the communicator created by the `PetscSubcomm`. This is part of one of the subcommunicators created by the `PetscSubcomm`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSubcommGetChild(PetscSubcomm scomm, MPI_Comm *ccomm)

Collective

## Input Parameter

- scomm - the `PetscSubcomm`

## Output Parameter

- ccomm - location to store the child communicator

## See Also

`PetscSubcommDestroy()`, `PetscSubcommSetTypeGeneral()`, `PetscSubcommSetFromOptions()`, `PetscSubcommSetType()`, `PetscSubcommSetNumber()`, `PetscSubcommGetParent()`, `PetscSubcommContiguousParent()`

## Level

intermediate

## Location

src/sys/objects/subcomm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages